Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ToolGroupItem

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AbstractToolEntry, Separator, StandardEntry, ToolEntry, ToolGroup

All Known Implementing Classes:
  AbstractToolEntryImpl, SeparatorImpl, StandardEntryImpl, ToolEntryImpl, ToolGroupImpl

    public interface ToolGroupItem

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Tool Group Item'.

The following features are supported:

- `Group`

See Also:
  `GMFGenPackage.getToolGroupItem()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`ToolGroup` `getGroup()` Returns the value of the 'Group' container reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroup

    ToolGroup getGroup()

  Returns the value of the 'Group' container reference. It is bidirectional and its opposite is '`Entries`'.

  If the meaning of the 'Group' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' container reference.
  See Also:
    `GMFGenPackage.getToolGroupItem_Group()`, `ToolGroup.getEntries()`
  ** Generated **
  Model:
    opposite="entries" resolveProxies="false" transient="false" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.